using Entities.Contracts;
using Entities.DTO;

namespace TechHelper.Services.Beta
{
	public interface IUserSerivces : IBaseService<UserDto, Guid>
	{
		Task<ApiResponse> GetStudentDetailInfo(Guid userId);
		Task<ApiResponse> RestoreUserRoleInformation(User user);
		Task<ApiResponse> VerifyUserInformation(Guid userId);
		/// <summary>
		/// 注册新用户，并根据角色关联到班级
		/// </summary>
		/// <param name="registrationDto">用户注册数据</param>
		/// <returns>操作结果</returns>
		Task<ApiResponse> RegisterNewUserAsync(UserForRegistrationDto registrationDto);

		Task<ApiResponse> InitAdminUser(UserForAdmin registrationDto);
	}
}
